PCI_HP_DEREGISTER(9)

NAME
pci_hp_deregister - deregister a hotplug_slot with the PCI hotplug subsystem

SYNOPSIS

int pci_hp_deregister (struct hotplug_slot * slot);

ARGUMENTS

slot
    pointer to the &struct hotplug_slot to deregister

DESCRIPTION

The slot must have been registered with the pci hotplug subsystem previously with a call to pci_hp_register.

Returns 0 if successful, anything else for an error.